Создать страницу

Request

POST

https://api.wiki.yandex.net/v1/pages

Query parameters

Name

Description

fields

Type: string

Example: ``

is_silent

Type: boolean

Не отправлять уведомление о создании страницы подписчикам

Default: false

Body

application/json
{
  "title": "example",
  "slug": "example",
  "content": "example",
  "access_policy": {
    "access_type": "inherited",
    "all_staff_role": "reader"
  }
}

Name

Description

slug

Any of 2 types
  • Type: string

    Example: example

  • Type: string

    Example: example

Example: example

title

Type: string

Min length: 1

Max length: 255

Example: example

access_policy

All of 1 type
  • AccessPolicyUpdateSchema

    Type: AccessPolicyUpdateSchema

    Схема для обновления политики доступа к странице

    Example
    {
      "access_type": "inherited",
      "all_staff_role": "reader"
    }
    

Настройки доступа к странице

Example
{
  "access_type": "inherited",
  "all_staff_role": "reader"
}

content

Type: string

Example: example

PageAccessTypeAPI

Тип доступа к странице:

  • inherited — наследуется от родительской страницы
  • all_staff — доступ для всех штатных сотрудников
  • custom — персональные доступы

Type: string

Enum: inherited, all_staff, custom

RoleAllStaffAPI

Роль для доступа "всем штатным сотрудникам":

  • reader — чтение
  • editor — редактирование
  • extra_editor — расширенное редактирование (управление доступами)

Type: string

Enum: reader, editor, extra_editor

AccessPolicyUpdateSchema

Схема для обновления политики доступа к странице

Name

Description

access_type

All of 1 type
  • PageAccessTypeAPI

    Type: PageAccessTypeAPI

    Тип доступа к странице:

    • inherited — наследуется от родительской страницы
    • all_staff — доступ для всех штатных сотрудников
    • custom — персональные доступы

    Enum: inherited, all_staff, custom

Тип доступа к странице

Example: inherited

all_staff_role

All of 1 type
  • RoleAllStaffAPI

    Type: RoleAllStaffAPI

    Роль для доступа "всем штатным сотрудникам":

    • reader — чтение
    • editor — редактирование
    • extra_editor — расширенное редактирование (управление доступами)

    Enum: reader, editor, extra_editor

Роль для доступа "всем штатным сотрудникам" (временно доступна только роль editor)

Example: reader

Example
{
  "access_type": "inherited",
  "all_staff_role": "reader"
}

Responses

200 OK

OK

Body

application/json
{
  "id": 0,
  "slug": "example",
  "title": "example",
  "page_type": "page",
  "redirect": {
    "page_id": 0,
    "redirect_target": {
      "id": 0,
      "slug": "example",
      "title": "example",
      "page_type": null
    }
  },
  "breadcrumbs": [
    {
      "id": 0,
      "title": "example",
      "slug": "example",
      "page_exists": true
    }
  ],
  "attributes": {
    "created_at": "2025-01-01T00:00:00Z",
    "modified_at": "2025-01-01T00:00:00Z",
    "lang": "example",
    "is_readonly": true,
    "comments_count": 0,
    "comments_enabled": true,
    "keywords": [
      "example"
    ],
    "is_collaborative": true,
    "is_draft": true
  },
  "content": "example",
  "access_policy": {
    "access_type": "inherited",
    "inherited_access_type": "all_staff",
    "all_staff_role": "reader",
    "has_external": true,
    "invite": {
      "status": null
    }
  },
  "access_lists": {
    "direct": [
      {
        "id": "example",
        "created_at": "2025-01-01T00:00:00Z",
        "user": null,
        "group": null,
        "role": null,
        "inheritance": null
      }
    ],
    "by_link": [
      null
    ],
    "inherited": [
      null
    ]
  },
  "owner": {
    "user": {
      "id": 0,
      "identity": null,
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "group": {
      "id": "example",
      "identity": null,
      "name": "example",
      "type": null,
      "metadata": null,
      "members_count": 0
    }
  }
}

Name

Description

id

Type: integer

Уникальный идентификатор страницы

page_type

Type: string

Тип страницы

Enum: page, grid, wysiwyg, template

slug

Type: string

Адрес страницы (slug)

Example: example

title

Type: string

Заголовок страницы

Example: example

access_lists

All of 1 type
  • PageAccessListsSchema

    Type: PageAccessListsSchema

    Списки доступов к странице

    Example
    {
      "direct": [
        {
          "id": "example",
          "created_at": "2025-01-01T00:00:00Z",
          "user": {
            "id": 0,
            "identity": null,
            "username": "example",
            "display_name": "example",
            "is_dismissed": true,
            "affiliation": "example"
          },
          "group": {
            "id": "example",
            "identity": null,
            "name": "example",
            "type": null,
            "metadata": null,
            "members_count": 0
          },
          "role": "reader",
          "inheritance": "inherited"
        }
      ],
      "by_link": [
        null
      ],
      "inherited": [
        null
      ]
    }
    

По умолчанию поле не отдается

Укажите access_lists в списке ?fields=access_lists, ... для получения в ответе.

Списки доступа к странице

Example
{
  "direct": [
    {
      "id": "example",
      "created_at": "2025-01-01T00:00:00Z",
      "user": null,
      "group": null,
      "role": "reader",
      "inheritance": "inherited"
    }
  ],
  "by_link": [
    null
  ],
  "inherited": [
    null
  ]
}

access_policy

All of 1 type
  • PageAccessPolicySchema

    Type: PageAccessPolicySchema

    Политика доступа к странице

    Example
    {
      "access_type": "inherited",
      "inherited_access_type": "all_staff",
      "all_staff_role": "reader",
      "has_external": true,
      "invite": {
        "status": 0
      }
    }
    

По умолчанию поле не отдается

Укажите access_policy в списке ?fields=access_policy, ... для получения в ответе.

Настройки доступа к странице

Example
{
  "access_type": "inherited",
  "inherited_access_type": "all_staff",
  "all_staff_role": "reader",
  "has_external": true,
  "invite": {
    "status": 0
  }
}

attributes

All of 1 type
  • PageAttributesSchema

    Type: PageAttributesSchema

    Дополнительные атрибуты страницы

    Example
    {
      "created_at": "2025-01-01T00:00:00Z",
      "modified_at": "2025-01-01T00:00:00Z",
      "lang": "example",
      "is_readonly": true,
      "comments_count": 0,
      "comments_enabled": true,
      "keywords": [
        "example"
      ],
      "is_collaborative": true,
      "is_draft": true
    }
    

По умолчанию поле не возвращается
Укажите attributes в списке ?fields=attributes, ... для получения в ответе.

Example
{
  "created_at": "2025-01-01T00:00:00Z",
  "modified_at": "2025-01-01T00:00:00Z",
  "lang": "example",
  "is_readonly": true,
  "comments_count": 0,
  "comments_enabled": true,
  "keywords": [
    "example"
  ],
  "is_collaborative": true,
  "is_draft": true
}

breadcrumbs

Type: BreadcrumbSchema[]

По умолчанию поле не возвращается
Укажите breadcrumbs в списке ?fields=breadcrumbs, ... для получения в ответе.

Example
[
  {
    "id": 0,
    "title": "example",
    "slug": "example",
    "page_exists": true
  }
]

content

Type: string

По умолчанию поле не возвращается
Укажите content в списке ?fields=content, ... для получения в ответе.

Контент страницы в виде строки.

Example: example

owner

All of 1 type
  • PageOwnerSchema

    Type: PageOwnerSchema

    Владелец страницы

    Example
    {
      "user": {
        "id": 0,
        "identity": {
          "uid": "example",
          "cloud_uid": "example"
        },
        "username": "example",
        "display_name": "example",
        "is_dismissed": true,
        "affiliation": "example"
      },
      "group": {
        "id": "example",
        "identity": {
          "src": null,
          "id": "example"
        },
        "name": "example",
        "type": "wiki",
        "metadata": {
          "url": "example",
          "externals_count": 0
        },
        "members_count": 0
      }
    }
    

По умолчанию поле не отдается

Укажите owner в списке ?fields=owner, ... для получения в ответе.

Владелец страницы

Example
{
  "user": {
    "id": 0,
    "identity": null,
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  },
  "group": {
    "id": "example",
    "identity": null,
    "name": "example",
    "type": "wiki",
    "metadata": {},
    "members_count": 0
  }
}

redirect

All of 1 type
  • RedirectSchema

    Type: RedirectSchema

    Информация о редиректе страницы

    Example
    {
      "page_id": 0,
      "redirect_target": {
        "id": 0,
        "slug": "example",
        "title": "example",
        "page_type": "page"
      }
    }
    

По умолчанию поле не возвращается
Укажите redirect в списке ?fields=redirect, ... для получения в ответе.
Если редиректа нет, вернется null

Example
{
  "page_id": 0,
  "redirect_target": {
    "id": 0,
    "slug": "example",
    "title": "example",
    "page_type": "page"
  }
}

PageType

Тип страницы:

  • page — обычная страница
  • grid — страница с таблицей
  • cloud_page — облачная страница
  • wysiwyg — страница с визуальным редактором
  • template — шаблон страницы

Type: string

Enum: page, grid, cloud_page, wysiwyg, template

PageDetailsSchema

Краткая информация о странице

Name

Description

id

Type: integer

Идентификатор страницы

page_type

All of 1 type
  • PageType

    Type: PageType

    Тип страницы:

    • page — обычная страница
    • grid — страница с таблицей
    • cloud_page — облачная страница
    • wysiwyg — страница с визуальным редактором
    • template — шаблон страницы

    Enum: page, grid, cloud_page, wysiwyg, template

Тип страницы

Example: page

slug

Type: string

Адрес страницы (slug)

Example: example

title

Type: string

Название страницы

Example: example

Example
{
  "id": 0,
  "slug": "example",
  "title": "example",
  "page_type": "page"
}

RedirectSchema

Информация о редиректе страницы

Name

Description

page_id

Type: integer

ID страницы, на которую перенаправляет текущая страница.

redirect_target

All of 1 type
  • PageDetailsSchema

    Type: PageDetailsSchema

    Краткая информация о странице

    Example
    {
      "id": 0,
      "slug": "example",
      "title": "example",
      "page_type": "page"
    }
    

Например, если задана цепочка редиректов A->B->C->D, для A,B и С, это будет страница D

Example
{
  "id": 0,
  "slug": "example",
  "title": "example",
  "page_type": "page"
}
Example
{
  "page_id": 0,
  "redirect_target": {
    "id": 0,
    "slug": "example",
    "title": "example",
    "page_type": "page"
  }
}

BreadcrumbSchema

Элемент хлебных крошек (навигационная цепочка)

Name

Description

page_exists

Type: boolean

Страница существует

slug

Type: string

Адрес страницы (slug)

Example: example

title

Type: string

Название страницы

Example: example

id

Type: integer

Идентификатор страницы (если страница существует)

Example
{
  "id": 0,
  "title": "example",
  "slug": "example",
  "page_exists": true
}

PageAttributesSchema

Дополнительные атрибуты страницы

Name

Description

comments_count

Type: integer

Количество комментариев к странице

comments_enabled

Type: boolean

Комментарии включены

created_at

Type: string<date-time>

Дата и время создания страницы

Example: 2025-01-01T00:00:00Z

is_readonly

Type: boolean

Страница доступна только для чтения

lang

Type: string

Язык страницы (например, ru, en)

Example: example

modified_at

Type: string<date-time>

Дата и время последнего изменения страницы

Example: 2025-01-01T00:00:00Z

is_collaborative

Type: boolean

Совместное редактирование включено

is_draft

Type: boolean

Страница является черновиком

keywords

Type: string[]

Ключевые слова страницы

Example
[
  "example"
]
Example
{
  "created_at": "2025-01-01T00:00:00Z",
  "modified_at": "2025-01-01T00:00:00Z",
  "lang": "example",
  "is_readonly": true,
  "comments_count": 0,
  "comments_enabled": true,
  "keywords": [
    "example"
  ],
  "is_collaborative": true,
  "is_draft": true
}

AccessTypeInheritedAPI

Унаследованный тип доступа:

  • all_staff — доступ для всех штатных сотрудников
  • custom — персональные доступы

Type: string

Enum: all_staff, custom

PageInviteStatus

Статус ссылки-приглашения:

  • 0 — удалена
  • 1 — включена
  • 2 — выключена

Type: integer

Enum: 0, 1, 2

AclPreviewInviteSchema

Информация о ссылке-приглашении для доступа к странице

Name

Description

status

All of 1 type
  • PageInviteStatus

    Type: PageInviteStatus

    Статус ссылки-приглашения:

    • 0 — удалена
    • 1 — включена
    • 2 — выключена

    Enum: 0, 1, 2

    Example: 0

Статус ссылки:

  • 0 - удален (в API не отдается)
  • 1 - включен
  • 2 - выключен

Example: 0

Example
{
  "status": 0
}

PageAccessPolicySchema

Политика доступа к странице

Name

Description

access_type

All of 1 type
  • PageAccessTypeAPI

    Type: PageAccessTypeAPI

    Тип доступа к странице:

    • inherited — наследуется от родительской страницы
    • all_staff — доступ для всех штатных сотрудников
    • custom — персональные доступы

    Enum: inherited, all_staff, custom

Тип доступа

Example: inherited

all_staff_role

All of 1 type
  • RoleAllStaffAPI

    Type: RoleAllStaffAPI

    Роль для доступа "всем штатным сотрудникам":

    • reader — чтение
    • editor — редактирование
    • extra_editor — расширенное редактирование (управление доступами)

    Enum: reader, editor, extra_editor

Роль для доступа "всем штатным сотрудникам"

Example: reader

has_external

Type: boolean

Показывает, что страница доступна внешним консультантам. Если None, то статус неизвестен

inherited_access_type

All of 1 type
  • AccessTypeInheritedAPI

    Type: AccessTypeInheritedAPI

    Унаследованный тип доступа:

    • all_staff — доступ для всех штатных сотрудников
    • custom — персональные доступы

    Enum: all_staff, custom

Унаследованный тип доступа

Example: all_staff

invite

All of 1 type
  • AclPreviewInviteSchema

    Type: AclPreviewInviteSchema

    Информация о ссылке-приглашении для доступа к странице

    Example
    {
      "status": 0
    }
    

Информация о ссылке-приглашении для доступа к странице

Example
{
  "status": 0
}
Example
{
  "access_type": "inherited",
  "inherited_access_type": "all_staff",
  "all_staff_role": "reader",
  "has_external": true,
  "invite": {
    "status": 0
  }
}

UserIdentity

Идентификатор пользователя

Name

Description

cloud_uid

Type: string

Идентификатор пользователя в облаке (для внешнего инстанса)

Example: example

uid

Type: string

Идентификатор пользователя в Яндекс (для внутреннего инстанса)

Example: example

Example
{
  "uid": "example",
  "cloud_uid": "example"
}

UserSchema

Информация о пользователе

Name

Description

affiliation

Type: string

Принадлежность пользователя (например, yandex, external)

Example: example

display_name

Type: string

Отображаемое имя пользователя

Example: example

id

Type: integer

Внутренний идентификатор пользователя

is_dismissed

Type: boolean

Пользователь уволен

username

Type: string

Логин пользователя

Example: example

identity

All of 1 type
  • UserIdentity

    Type: UserIdentity

    Идентификатор пользователя

    Example
    {
      "uid": "example",
      "cloud_uid": "example"
    }
    

Идентификатор пользователя в системе

Example
{
  "uid": "example",
  "cloud_uid": "example"
}
Example
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}

ComSource

Источник идентификатора группы:

  • dir — IAM
  • cloud — Яндекс Облако
  • com — локальная база данных
  • staff — Стафф (внутренний справочник сотрудников)

Type: string

Enum: dir, cloud, com, staff

ComIdentitySchema

Идентификатор группы

Name

Description

id

Type: string

Идентификатор группы в указанном источнике

Example: example

src

All of 1 type
  • ComSource

    Type: ComSource

    Источник идентификатора группы:

    • dir — IAM
    • cloud — Яндекс Облако
    • com — локальная база данных
    • staff — Стафф (внутренний справочник сотрудников)

    Enum: dir, cloud, com, staff

Источник идентификатора

Example: dir

Example
{
  "src": "dir",
  "id": "example"
}

GroupType

Тип группы:

  • wiki — группа Вики
  • service — сервисная группа
  • servicerole — роль сервиса
  • group — обычная группа
  • department — подразделение

Type: string

Enum: wiki, service, servicerole, group, department

IntranetGroupMetadata

Метаданные группы из внутреннего справочника

Name

Description

externals_count

Type: integer

Количество внешних консультантов в группе

url

Type: string

URL группы в справочнике

Example: example

Example
{
  "url": "example",
  "externals_count": 0
}

IamGroupMetadata

Метаданные группы из IAM (Identity and Access Management)

Name

Description

dir_id

Type: string

Идентификатор директории

Example: example

Example
{
  "dir_id": "example"
}

GroupSchema

Информация о группе

Name

Description

identity

All of 1 type
  • ComIdentitySchema

    Type: ComIdentitySchema

    Идентификатор группы

    Example
    {
      "src": "dir",
      "id": "example"
    }
    

Идентификатор группы в системе

Example
{
  "src": "dir",
  "id": "example"
}

name

Type: string

Название группы

Example: example

type

All of 1 type
  • GroupType

    Type: GroupType

    Тип группы:

    • wiki — группа Вики
    • service — сервисная группа
    • servicerole — роль сервиса
    • group — обычная группа
    • department — подразделение

    Enum: wiki, service, servicerole, group, department

Тип группы

Example: wiki

id

Type: string

Идентификатор группы. Для внешнего инстанса — dir_id, для внутреннего — staff_id

Example: example

members_count

Type: integer

Количество участников группы

Default: 0

metadata

Any of 2 types
  • IntranetGroupMetadata

    Type: IntranetGroupMetadata

    Метаданные группы из внутреннего справочника

    Example
    {
      "url": "example",
      "externals_count": 0
    }
    
  • IamGroupMetadata

    Type: IamGroupMetadata

    Метаданные группы из IAM (Identity and Access Management)

    Example
    {
      "dir_id": "example"
    }
    

Дополнительные метаданные группы

Example
{
  "url": "example",
  "externals_count": 0
}
Example
{
  "id": "example",
  "identity": {
    "src": "dir",
    "id": "example"
  },
  "name": "example",
  "type": "wiki",
  "metadata": {
    "url": "example",
    "externals_count": 0
  },
  "members_count": 0
}

RoleAPI

Роль доступа к странице:

  • reader — чтение
  • editor — редактирование
  • extra_editor — расширенное редактирование (управление доступами)
  • author — автор (полный доступ)

Type: string

Enum: reader, editor, extra_editor, author

InheritanceAPI

Наследование доступа для подстраниц:

  • inherited — доступ наследуется подстраницами
  • not_inherited — доступ не наследуется подстраницами

Type: string

Enum: inherited, not_inherited

PageAccessItem

Элемент персонального доступа к странице

Name

Description

id

Type: string

Уникальный идентификатор доступа

Example: example

role

All of 1 type
  • RoleAPI

    Type: RoleAPI

    Роль доступа к странице:

    • reader — чтение
    • editor — редактирование
    • extra_editor — расширенное редактирование (управление доступами)
    • author — автор (полный доступ)

    Enum: reader, editor, extra_editor, author

Роль доступа

Example: reader

created_at

Type: string<date-time>

Дата и время создания доступа

Example: 2025-01-01T00:00:00Z

group

All of 1 type
  • GroupSchema

    Type: GroupSchema

    Информация о группе

    Example
    {
      "id": "example",
      "identity": {
        "src": "dir",
        "id": "example"
      },
      "name": "example",
      "type": "wiki",
      "metadata": {
        "url": "example",
        "externals_count": 0
      },
      "members_count": 0
    }
    

Группа, которой предоставлен доступ (заполняется, если доступ предоставлен группе)

Example
{
  "id": "example",
  "identity": {
    "src": "dir",
    "id": "example"
  },
  "name": "example",
  "type": "wiki",
  "metadata": {
    "url": "example",
    "externals_count": 0
  },
  "members_count": 0
}

inheritance

All of 1 type
  • InheritanceAPI

    Type: InheritanceAPI

    Наследование доступа для подстраниц:

    • inherited — доступ наследуется подстраницами
    • not_inherited — доступ не наследуется подстраницами

    Enum: inherited, not_inherited

Настройка наследования доступа для подстраниц

Example: inherited

user

All of 1 type
  • UserSchema

    Type: UserSchema

    Информация о пользователе

    Example
    {
      "id": 0,
      "identity": {
        "uid": "example",
        "cloud_uid": "example"
      },
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    }
    

Пользователь, которому предоставлен доступ (заполняется, если доступ предоставлен пользователю)

Example
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
Example
{
  "id": "example",
  "created_at": "2025-01-01T00:00:00Z",
  "user": {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  },
  "group": {
    "id": "example",
    "identity": {
      "src": null,
      "id": "example"
    },
    "name": "example",
    "type": "wiki",
    "metadata": {
      "url": "example",
      "externals_count": 0
    },
    "members_count": 0
  },
  "role": "reader",
  "inheritance": "inherited"
}

PageAccessListsSchema

Списки доступов к странице

Name

Description

by_link

Type: PageAccessItem[]

Доступы по ссылке-приглашению

Example
[
  {
    "id": "example",
    "created_at": "2025-01-01T00:00:00Z",
    "user": {
      "id": 0,
      "identity": null,
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "group": {
      "id": "example",
      "identity": null,
      "name": "example",
      "type": "wiki",
      "metadata": {},
      "members_count": 0
    },
    "role": "reader",
    "inheritance": "inherited"
  }
]

direct

Type: PageAccessItem[]

Прямые персональные доступы к странице

Example
[
  {
    "id": "example",
    "created_at": "2025-01-01T00:00:00Z",
    "user": {
      "id": 0,
      "identity": null,
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "group": {
      "id": "example",
      "identity": null,
      "name": "example",
      "type": "wiki",
      "metadata": {},
      "members_count": 0
    },
    "role": "reader",
    "inheritance": "inherited"
  }
]

inherited

Type: PageAccessItem[]

Унаследованные доступы от родительских страниц

Example
[
  {
    "id": "example",
    "created_at": "2025-01-01T00:00:00Z",
    "user": {
      "id": 0,
      "identity": null,
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "group": {
      "id": "example",
      "identity": null,
      "name": "example",
      "type": "wiki",
      "metadata": {},
      "members_count": 0
    },
    "role": "reader",
    "inheritance": "inherited"
  }
]
Example
{
  "direct": [
    {
      "id": "example",
      "created_at": "2025-01-01T00:00:00Z",
      "user": {
        "id": 0,
        "identity": null,
        "username": "example",
        "display_name": "example",
        "is_dismissed": true,
        "affiliation": "example"
      },
      "group": {
        "id": "example",
        "identity": null,
        "name": "example",
        "type": null,
        "metadata": null,
        "members_count": 0
      },
      "role": "reader",
      "inheritance": "inherited"
    }
  ],
  "by_link": [
    null
  ],
  "inherited": [
    null
  ]
}

PageOwnerSchema

Владелец страницы

Name

Description

group

All of 1 type
  • GroupSchema

    Type: GroupSchema

    Информация о группе

    Example
    {
      "id": "example",
      "identity": {
        "src": "dir",
        "id": "example"
      },
      "name": "example",
      "type": "wiki",
      "metadata": {
        "url": "example",
        "externals_count": 0
      },
      "members_count": 0
    }
    

(не реализовано) Группа-владелец страницы

Example
{
  "id": "example",
  "identity": {
    "src": "dir",
    "id": "example"
  },
  "name": "example",
  "type": "wiki",
  "metadata": {
    "url": "example",
    "externals_count": 0
  },
  "members_count": 0
}

user

All of 1 type
  • UserSchema

    Type: UserSchema

    Информация о пользователе

    Example
    {
      "id": 0,
      "identity": {
        "uid": "example",
        "cloud_uid": "example"
      },
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    }
    

Пользователь-владелец страницы

Example
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
Example
{
  "user": {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  },
  "group": {
    "id": "example",
    "identity": {
      "src": null,
      "id": "example"
    },
    "name": "example",
    "type": "wiki",
    "metadata": {
      "url": "example",
      "externals_count": 0
    },
    "members_count": 0
  }
}